<%@ Page Language="C#" EnableViewState="false" Inherits="System.Web.UI.Page" %>
<%@ Import Namespace="ChooseYourStory.Stories" %>
<%@ Import Namespace="ChooseYourStory.Utilities" %>
<%@ Import Namespace="ChooseYourStory.Stories.Rating" %>
<%@ Register Assembly="ChooseYourStory" Namespace="ChooseYourStory.Web.Controls" TagPrefix="cys" %>

<script runat="server">
	StoryState State;


	protected override void OnLoad(EventArgs e)
	{
		//ensure postback
		if (!Request.Form.HasKeys()) throw new Exception("Invalid input.");
		
		//must be, load storystate
		State = StoryState.CreateFromString(Request.Form["SS"]);

		DataBind();
	}
	

</script>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title runat="server">
		<%#State.StoryTitle%>
		:: Story Viewer</title>

	<script language="JavaScript1.2" type="text/javascript"><!--
		function getEl(item) {
			if( window.mmIsOpera ) return(document.getElementById(item));
			if (document.all) return(document.all[item]);
			if (document.getElementById) return(document.getElementById(item));
			return(false);
		}		
		function closeme()
		{	
			var lnk = '/story/<%#ChooseYourStory.Utilities.UrlEncoding.Encode(State.StoryTitle)%>.aspx';
			if ((!window.opener)||(window.opener.closed)) 
			{
				window.open(lnk);
			}
			else
			{
				window.opener.location=lnk;
				window.opener.focus();
			}
			window.close();
		}		
	//--></script>
</head>
<body>
	<form runat="server">
		<input type="hidden" name="SS" value="<%#State.CreateStoryStateString()%>" />
	
	<!-- BEGIN BANNER -->		
	<asp:PlaceHolder runat="server">
		<table border="0" cellpadding="0" cellspacing="0" width="100%">
			<tr>
				<td width="150"><cys:ThemedImage runat="server" style="opacity: .6; filter: alpha(opacity=60);" src="storyviewer_masthead_logo.gif" width="150" height="20" border="0" alt="" /></td>
				<td width="100%"><cys:ThemedImage runat="server" style="opacity: .6; filter: alpha(opacity=60); width: 100%" src="storyviewer_masthead_background.gif" width="100" height="20" border="0" alt="" /></td>
			</tr>
		</table>
	</asp:PlaceHolder>
	<!--  END BANNER -->
	
	<!--  BEGIN PAGE TITLE -->
	<div class="dark1border" style="text-align: center; margin: 20px 50px 20px 50px;
		padding: 0px 20px 0px 20px; border-top-width: 1px; border-bottom-width: 1px; border-top-style: solid;
		border-bottom-style: solid;">
		<h1>Thanks!</h1>
	</div>
	<!-- END PAGE TITLE -->
	
	<!-- BEGIN MAIN -->
	<div style="padding:0px 30px 0px 30px">
		
	  <p>You've done the author and the community a great service.</p>
	  <p>
	    <input name="button" type="button" onClick="closeme();" value="Close Window" />
	  </p>
	  
	</div>
	<!-- END MAIN -->
	</form>
</body>
</html>
