<% Option Explicit %>
<!-- #include file="../../../Includes/Request_Start.inc.asp" -->
<script runat="server" language="vbscript" src="../../../Includes/sessionValidator.vbs"></script>
<script runat="server" language="vbscript" src="../../../Includes/ClientMessages.vbs"></script>
<script runat="server" language="vbscript" src="../duel.vbs"></script>
<script runat="server" language="vbscript" src="../../../Includes/CheckHeader.vbs"></script>
<%
CheckHeader "newDuel.aspx"
ValidateSession

Dim target
If Request("target") = "" Then target = "../" Else target = Request("target")
	
Dim ChallengeeUsername
If Not IsEmpty(Request.Form("ChallengeeUsername")) _
	Then ChallengeeUsername = Request.Form("ChallengeeUsername") _
	Else ChallengeeUsername = Request.QueryString("Username")

If Not IsEmpty(Request.Form("duel")) Then IssueDuel
Sub IssueDuel
	With New Duel
		.DuelType = "Toggle"
		.LoadFromForm Request.Form
		If .ChallengerChoice<>"Checked" And _
		   .ChallengerChoice<>"Unchecked" Then Response.Redirect Target
		If .IssueChallenge Then
			If LCase(.ChallengeeUsername)="cysid" Then
				Randomize Timer
				Select Case Int(Rnd * 2)
					Case 0 : .ChallengeeChoice = "Checked"
					Case Else : .ChallengeeChoice = "Unchecked"
				End Select
				.Winner = CalculateWinner(.ChallengeeChoice, .ChallengerChoice)
				.Accept
			End If				
			AlertWithRedirect "Your challenge was issued!", target
		Else
			Alert "There was an error with your wager:" & vbCrLf & .ErrorMessage
		End If
	End With

End Sub

Function CalculateWinner(ChallengeeChoice, ChallengerChoice)
	'Draw Conditions
	If ChallengeeChoice = ChallengerChoice Then
		CalculateWinner = "Challengee"
	Else
		CalculateWinner = "Challenger"	
	End If
End Function

%>

<script language="javascript">
function validate(frm)
{
	if (frm.Wager.selectedIndex==0)
	{
		alert("Whoops! You need to select a wager ...");
		return false;
	}
	
	if (!frm.ChallengerChoice[0].checked && !frm.ChallengerChoice[1].checked && !frm.ChallengerChoice[2].checked)
	{
		alert("You didn't select a throw ...");
		return false;
	}
	
	if (confirm("Are you sure you'd like to issue this challenge?")) frm.submit();
}
</script>
<form method="post">
<div id="maincontent">
 <h1>Toggle Duel</h1>
 <p>The rules are simple. When you hit the DUEL button, the points you wagered will be deducted from your account and placed in escrow. If your opponent declines the duel (or does not accept in suitable time), your points will be returned. If you win the duel, your points will be returned in double. You can probably guess what happens if you don't win the duel ... </p>
 <table border="0" cellspacing="5" cellpadding="0">
   <tr>
     <td><table border="0" cellspacing="0" cellpadding="3">
       <tr>
         <td valign="top"><label>Member To Challenge</label>
         </td>
         <td><%=ChallengeeUsername%></td>
       </tr>
       <tr>
         <td valign="top"><label>Points To Wager</label></td>
         <td><select name="Wager">
             <option value="">Select Wager</option>
<% Dim i : For i = 1 to 5 %><option value="<%=i%>" <%If CStr(i) = Request.Form("Wager") Then Response.Write " selected"%>><%=i%></option><% Next%>
         </select></td>
       </tr>
       <tr>
         <td valign="top"><label>Your Choice</label></td>
         <td><table border="0" cellspacing="3" cellpadding="0">
             <tr>
               <td><label for="radchecked"><img src="checked.gif" width="50" height="50" /></label></td>
               <td><label for="radunchecked"><img src="unchecked.gif" width="50" height="50" /></label></td>
             </tr>
             <tr>
               <td align="center"><input type="radio" name="ChallengerChoice" value="Checked" id="radchecked" <%If Request.Form("ChallengerChoice")="Checked" Then Response.Write "checked"%>/></td>
               <td align="center"><input type="radio" name="ChallengerChoice" value="Unchecked" id="radunchecked" <%If Request.Form("ChallengerChoice")="Unchecked" Then Response.Write "checked"%>/></td>
             </tr>
         </table></td>
       </tr>
       <tr>
         <td valign="top"><div align="center"> </div></td>
         <td valign="top">
<input type="button" value="Duel" onClick="validate(this.form)" />
&nbsp;

<!--<input name="cancel" type="button" value="Cancel" />-->
<input type="button" value="cancel" onclick="location=this.form.target.value" />

<input type="hidden" name="ChallengeeUsername" value="<%=Server.HTMLEncode(ChallengeeUsername)%>">
<input type="hidden" name="duel" value="duel">
<input type="hidden" name="target" value="<%=Server.HTMLEncode(target)%>">
</td>
       </tr>
     </table></td>
     <td valign="top" width="25">&nbsp;</td>
     <td valign="top" width="300">
	  <h2>Toggle Rules</h2>
	  <p>The whole point of toggle is to outsmart your opponent. He is going to try to guess whether or not you checked the box.</p></td>
   </tr>
 </table>
</div></form>
<% Server.Execute(Application("SiteRoot") & "Includes/footer.asp") %>
